function protonmail(domain)
  -- Configure mail records for protonmail
  
  -- Verification
  txt(domain, "protonmail-verification=6e777d2bb348043a8e73b4f405b6b2dc659ff85f")
  
  -- MX records
  mx(domain, "mail.protonmail.ch", 10)
  mx(domain, "mailsec.protonmail.ch", 20)
  
  -- SPF
  txt(domain, "v=spf1 include:_spf.protonmail.ch mx ~all")
  
  -- DKIM
  cname("protonmail._domainkey", "protonmail.domainkey.dcwpz6gpldptg5vbdvvdztzgb7klx436m5hho3egx4mwmvh6kwvba.domains.proton.ch.")
  cname("protonmail2._domainkey", "protonmail2.domainkey.dcwpz6gpldptg5vbdvvdztzgb7klx436m5hho3egx4mwmvh6kwvba.domains.proton.ch.")
  cname("protonmail3._domainkey", "protonmail3.domainkey.dcwpz6gpldptg5vbdvvdztzgb7klx436m5hho3egx4mwmvh6kwvba.domains.proton.ch.")
  
  -- DMARC
  txt("_dmarc", "v=DMARC1; p=quarantine")
end
